summaryrefslogtreecommitdiffstats
path: root/libraries/xalan-c
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 22:24:26 +0200
committer David Somero2010-05-11 22:24:26 +0200
commit62b60b42926484a1b938ef60d945140c148d1dce (patch)
tree25ced3db1edbb5dc549d65ec47fa6f6985cdc0c4 /libraries/xalan-c
parentf1c9dc254976d03e0c53233e255f1973faccbf81 (diff)
downloadslackbuilds-62b60b42926484a1b938ef60d945140c148d1dce.tar.gz
libraries/xalan-c: Updated for version 1.10.0
Diffstat (limited to 'libraries/xalan-c')
-rw-r--r--libraries/xalan-c/README4
-rw-r--r--libraries/xalan-c/xalan-c.SlackBuild72
-rw-r--r--libraries/xalan-c/xalan-c.info2
3 files changed, 50 insertions, 28 deletions
diff --git a/libraries/xalan-c/README b/libraries/xalan-c/README
index 667ec0aef6..55089294dd 100644
--- a/libraries/xalan-c/README
+++ b/libraries/xalan-c/README
@@ -1,5 +1,5 @@
XSLT processor for transforming XML into HTML, text,
or other XML types.
-You'll need xerces-c and icu4c to build this, both of which are
-also available at Slackbuilds.org
+You'll need xerces-c to build this, which is
+also available at SlackBuilds.org
diff --git a/libraries/xalan-c/xalan-c.SlackBuild b/libraries/xalan-c/xalan-c.SlackBuild
index cf68424bb1..5b918f8f7a 100644
--- a/libraries/xalan-c/xalan-c.SlackBuild
+++ b/libraries/xalan-c/xalan-c.SlackBuild
@@ -1,66 +1,88 @@
#!/bin/sh
# Slackware build script for xalan-c
-# Written by ppr:kut <hmwiesinger@gmx.at>
-set -e
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PRGNAM=xalan
-SRCNAM=Xalan
-VERSION=C_1_10_0-src
-PKGVER=c-1.10.0
+PRGNAM=Xalan-C
+VERSION=1_10_0
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+PKGNAM=$(echo $PRGNAM | tr [:upper:] [:lower:])
+PKGVER=$(echo $VERSION | tr _ .)
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+FLAGS=""
+for i in $SLKCFLAGS; do
+ FLAGS+="-z $i "
+done
+
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf xml-xalan
-tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+tar xvf $CWD/${PRGNAM}_${VERSION}-src.tar.gz
cd xml-xalan
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
cd c
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
XALANCROOT="$TMP/xml-xalan/c" \
XERCESCROOT="/usr" \
- ICUROOT="/usr" \
- ./runConfigure -p linux -c gcc -x g++ -t inmem -m icu -r pthread -P /usr
-
+ ./runConfigure -p linux -c gcc -x g++ -m inmem -r pthreads -P /usr "$FLAGS"
+
+# I could not get this to compile with more than 1 job, XGizzmo
XALANCROOT="$TMP/xml-xalan/c" \
XERCESCROOT="/usr" \
- ICUROOT="/usr" \
- make
-
+ make -j1
+
XALANCROOT="$TMP/xml-xalan/c" \
XERCESCROOT="/usr" \
- ICUROOT=/usr \
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/usr/doc/$PRGNAM-$PKGVER
-cp -a KEYS LICENSE NOTICE readme.html README $PKG/usr/doc/$PRGNAM-$PKGVER
-cat $CWD/$PRGNAM-c.SlackBuild > $PKG/usr/doc/$PRGNAM-$PKGVER/$PRGNAM.SlackBuild
+mkdir -p $PKG/usr/doc/$PKGNAM-$PKGVER
+cp -a KEYS LICENSE NOTICE readme.html README $PKG/usr/doc/$PKGNAM-$PKGVER
+cat $CWD/$PKGNAM.SlackBuild > $PKG/usr/doc/$PKGNAM-$PKGVER/$PKGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$PKGVER-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/xalan-c/xalan-c.info b/libraries/xalan-c/xalan-c.info
index 6e66d67215..7d4c51c493 100644
--- a/libraries/xalan-c/xalan-c.info
+++ b/libraries/xalan-c/xalan-c.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://www.apache.org/dist/xml/xalan-c/Xalan-C_1_10_0-src.tar.gz"
MD5SUM="0a3fbb535885531cc544b07a2060bfb1"
MAINTAINER="ppr:kut"
EMAIL="HMWiesinger@gmx.at"
-APPROVED="rworkman"
+APPROVED="David Somero" \ No newline at end of file